List referral webhooks
curl --request GET \
--url https://sandbox.api.meet-oj.com/partner/v0/referrals/{referral_id}/webhooks \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox.api.meet-oj.com/partner/v0/referrals/{referral_id}/webhooks"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.api.meet-oj.com/partner/v0/referrals/{referral_id}/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "rwh_01K5X8C3D4",
"referral_id": "<string>",
"url": "<string>",
"signing": "hmac",
"status": "enabled",
"created_at": "2023-11-07T05:31:56Z",
"object": "referral_webhook",
"secret": "<string>",
"event_types": [
"referral.received"
],
"expires_at": "2023-11-07T05:31:56Z"
}
]
}Webhooks
List referral webhooks
Returns the webhooks registered for this referral. Tokens are not included.
GET
/
referrals
/
{referral_id}
/
webhooks
List referral webhooks
Authorizations
One client per partner per environment. Access tokens expire after 15 minutes. Scopes are granted per client. Sandbox clients use https://sandbox.api.meet-oj.com/oauth/token.
Path Parameters
Example:
"ref_01K5X3K7Q2"
Response
200 - application/json
Webhooks
Show child attributes
Show child attributes

